#!/usr/bin/env python
# -*- coding: UTF-8 -*-




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from cmpltmpl.document import document

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1351161951.537543
__CHEETAH_genTimestamp__ = 'Thu Oct 25 12:45:51 2012'
__CHEETAH_src__ = 'templates/first_form.tmpl'
__CHEETAH_srcLastModified__ = 'Tue Oct 23 19:19:38 2012'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class first_form(document):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(first_form, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 5, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if False:
            _("Concordance - First query form")
        _v = VFFSL(SL,"_",False)("Concordance - First query form") # u'$_("Concordance - First query form")' on line 6, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Concordance - First query form")')) # from line 6, col 1.
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def bodyonload(self, **KWS):



        ## CHEETAH: generated from #def bodyonload at line 11, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u"""cmdSwitchQuery();loadHideElementStoreSimple();loadHideElementStore('""")
        _v = VFFSL(SL,"files_path",True) # u'${files_path}' on line 12, col 69
        if _v is not None: write(_filter(_v, rawExpr=u'${files_path}')) # from line 12, col 69.
        write(u"""');handleCUPMenuAtOnload();""")
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def headers(self, **KWS):



        ## CHEETAH: generated from #def headers at line 15, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_32491580 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''<script src="''')
        _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 17, col 14
        if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 17, col 14.
        write(u'''/js/util.js" type="text/javascript"></script>
<script src="''')
        _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 18, col 14
        if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 18, col 14.
        write(u'''/js/effects.js" type="text/javascript"></script>
<script src="''')
        _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 19, col 14
        if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 19, col 14.
        write(u'''/js/controls.js" type="text/javascript"></script>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_32491580
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu_help(self, **KWS):



        ## CHEETAH: generated from #def left_submenu_help at line 23, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if VFFSL(SL,"varExists",False)('helpsite'): # generated from line 24, col 3
            write(u'''  <a href="''')
            _v = VFFSL(SL,"helpsite",True) # u'${helpsite}' on line 25, col 12
            if _v is not None: write(_filter(_v, rawExpr=u'${helpsite}')) # from line 25, col 12.
            write(u'''../ConcordanceQuery" rel="help" target="_blank" title=\'''')
            if False:
                _("? Help on Expert Options")
            _v = VFFSL(SL,"_",False)("? Help on Expert Options") # u'$_("? Help on Expert Options")' on line 25, col 78
            if _v is not None: write(_filter(_v, rawExpr=u'$_("? Help on Expert Options")')) # from line 25, col 78.
            write(u'''\'>
      <img src="''')
            _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 26, col 17
            if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 26, col 17.
            write(u'''/img/help.png" alt=\'''')
            if False:
                _("? Help on Expert options")
            _v = VFFSL(SL,"_",False)("? Help on Expert options") # u'$_("? Help on Expert options")' on line 26, col 48
            if _v is not None: write(_filter(_v, rawExpr=u'$_("? Help on Expert options")')) # from line 26, col 48.
            write(u"""' />
  </a>
""")
        write(u'''
''')
        if VFFSL(SL,"getVar",False)('show_cup_menu', ''): # generated from line 30, col 1
            if VFFSL(SL,"varExists",False)('helpsite'): # generated from line 31, col 3
                write(u'''  <li class="context_help"><a href="''')
                _v = VFFSL(SL,"helpsite",True) # u'${helpsite}' on line 32, col 37
                if _v is not None: write(_filter(_v, rawExpr=u'${helpsite}')) # from line 32, col 37.
                write(u'''ConcordanceErrorQuery" rel="help">''')
                if False:
                    _("? Help on Error Query")
                _v = VFFSL(SL,"_",False)("? Help on Error Query") # u'$_("? Help on Error Query")' on line 32, col 82
                if _v is not None: write(_filter(_v, rawExpr=u'$_("? Help on Error Query")')) # from line 32, col 82.
                write(u'''</a></li>
''')
            write(u'''  <li><a onclick="cmdShowElementOnly(\'qnode\');cmdHideElementOnly(\'cup_err_menu\');clearForm(document.getElementById(\'mainform\'));cmdSwitchQuery();">''')
            if False:
                _("Standard Query")
            _v = VFFSL(SL,"_",False)("Standard Query") # u'$_("Standard Query")' on line 34, col 148
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Standard Query")')) # from line 34, col 148.
            write(u'''</a></li>
  <li><a onclick="cmdHideElementOnly(\'qnode\');cmdShowElementOnly(\'cup_err_menu\');clearForm(document.getElementById(\'mainform\'));cmdSwitchQuery();">''')
            if False:
                _("Error Query")
            _v = VFFSL(SL,"_",False)("Error Query") # u'$_("Error Query")' on line 35, col 148
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Error Query")')) # from line 35, col 148.
            write(u'''</a></li>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu_expert(self, **KWS):



        ## CHEETAH: generated from #def left_submenu_expert at line 39, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''  <li>''')
        if False:
            _("Expert options")
        _v = VFFSL(SL,"_",False)("Expert options") # u'$_("Expert options")' on line 40, col 7
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Expert options")')) # from line 40, col 7.
        write(u''':
    <ul class="submenu">
      <li><a onclick="cmdHideElementStoreSimple(\'contextel\', 1);">''')
        if False:
            _("Context")
        _v = VFFSL(SL,"_",False)("Context") # u'$_("Context")' on line 42, col 67
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Context")')) # from line 42, col 67.
        write(u'''</a></li>
      <li><a onclick="cmdHideElementStoreSimple(\'texttypeel\', 1);" >''')
        if False:
            _("Text Types")
        _v = VFFSL(SL,"_",False)("Text Types") # u'$_("Text Types")' on line 43, col 69
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Text Types")')) # from line 43, col 69.
        write(u'''</a></li>
    </ul>
  </li>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #def main at line 49, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_89476042 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''<form id="mainform" action="first">
<fieldset>
<table class="form">
''')
        _orig_filter_93811339 = _filter
        _filter = self._CHEETAH__initialFilter
        write(u'''  ''')
        _v = VFFSL(SL,"corp_sel_node",True) # u'$corp_sel_node' on line 55, col 3
        if _v is not None: write(_filter(_v, rawExpr=u'$corp_sel_node')) # from line 55, col 3.
        write(u'''
  ''')
        _v = VFFSL(SL,"query_node",True) # u'$query_node' on line 56, col 3
        if _v is not None: write(_filter(_v, rawExpr=u'$query_node')) # from line 56, col 3.
        write(u'''
''')
        if VFFSL(SL,"getVar",False)('show_cup_menu', ''): # generated from line 57, col 3
            write(u'''    ''')
            _v = VFFSL(SL,"cup_err_menu",True) # u'$cup_err_menu' on line 58, col 5
            if _v is not None: write(_filter(_v, rawExpr=u'$cup_err_menu')) # from line 58, col 5.
            write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_93811339
        write(u'''</table>
''')
        if VFFSL(SL,"corp_doc",True): # generated from line 62, col 1
            write(u'''  <table><tr><td><a href="''')
            _v = VFFSL(SL,"corp_doc",True) # u'$corp_doc' on line 63, col 27
            if _v is not None: write(_filter(_v, rawExpr=u'$corp_doc')) # from line 63, col 27.
            write(u'''" target="blank">corpus documentation</a></td></tr></table>
''')
        showhiddenlistsimple = VFN(VFFSL(SL,"getVar",False)("showhidsim", ''),"split",False)(".")
        hidden = ('contextel' in VFFSL(SL,"showhiddenlistsimple",True)) and ' visible' or ' hidden'
        write(u'''
<div class="advanced_options''')
        _v = VFFSL(SL,"hidden",True) # u'$hidden' on line 68, col 29
        if _v is not None: write(_filter(_v, rawExpr=u'$hidden')) # from line 68, col 29.
        write(u'''" id="contextel">
<h3>''')
        if False:
            _("Context")
        _v = VFFSL(SL,"_",False)("Context") # u'$_("Context")' on line 69, col 5
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Context")')) # from line 69, col 5.
        write(u'''</h3>

<div class="indent">
''')
        if VFFSL(SL,"has_lemmaattr",True): # generated from line 72, col 1
            write(u'''  <h4>''')
            if False:
                _("Lemma filter")
            _v = VFFSL(SL,"_",False)("Lemma filter") # u'$_("Lemma filter")' on line 73, col 7
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Lemma filter")')) # from line 73, col 7.
            write(u'''</h4>
''')
        else: # generated from line 74, col 1
            write(u'''  <h4>''')
            if False:
                _("Word form filter")
            _v = VFFSL(SL,"_",False)("Word form filter") # u'$_("Word form filter")' on line 75, col 7
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Word form filter")')) # from line 75, col 7.
            write(u'''</h4>
''')
        write(u'''  <div class="indent">
  <table class="form">
    <tr>
      <th align="left">''')
        if False:
            _("Window")
        _v = VFFSL(SL,"_",False)("Window") # u'$_("Window")' on line 80, col 24
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Window")')) # from line 80, col 24.
        write(u''':</th>
      <td><select name="fc_lemword_window_type">
         <option value="left" ''')
        if VFFSL(SL,"fc_lemword_window_type",True) == 'left' : # generated from line 82, col 31
            _v =  'selected="selected"' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  ''
            if _v is not None: write(_filter(_v))
        write(u''' >''')
        if False:
            _("left")
        _v = VFFSL(SL,"_",False)("left") # u'$_("left")' on line 82, col 106
        if _v is not None: write(_filter(_v, rawExpr=u'$_("left")')) # from line 82, col 106.
        write(u'''</option>
         <option value="right" ''')
        if VFFSL(SL,"fc_lemword_window_type",True) == 'right' : # generated from line 83, col 32
            _v =  'selected="selected"' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  ''
            if _v is not None: write(_filter(_v))
        write(u''' >''')
        if False:
            _("right")
        _v = VFFSL(SL,"_",False)("right") # u'$_("right")' on line 83, col 108
        if _v is not None: write(_filter(_v, rawExpr=u'$_("right")')) # from line 83, col 108.
        write(u'''</option>
         <option value="both" ''')
        if VFFSL(SL,"fc_lemword_window_type",True) == 'both' : # generated from line 84, col 31
            _v =  'selected="selected"' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  ''
            if _v is not None: write(_filter(_v))
        write(u''' >''')
        if False:
            _("both")
        _v = VFFSL(SL,"_",False)("both") # u'$_("both")' on line 84, col 106
        if _v is not None: write(_filter(_v, rawExpr=u'$_("both")')) # from line 84, col 106.
        write(u'''</option>
       </select>
       <select name="fc_lemword_wsize">
         <option>1</option>
         <option>2</option>
         <option>3</option>
         <option>4</option>
         <option selected="selected">5</option>
         <option>7</option>
         <option>10</option>
         <option>15</option>
       </select>
       ''')
        if False:
            _("tokens")
        _v = VFFSL(SL,"_",False)("tokens") # u'$_("tokens")' on line 96, col 8
        if _v is not None: write(_filter(_v, rawExpr=u'$_("tokens")')) # from line 96, col 8.
        write(u'''.
      </td>
    </tr>
    <tr>
''')
        if VFFSL(SL,"has_lemmaattr",True): # generated from line 100, col 1
            write(u'''      <th align="left">''')
            if False:
                _("Lemma(s)")
            _v = VFFSL(SL,"_",False)("Lemma(s)") # u'$_("Lemma(s)")' on line 101, col 24
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Lemma(s)")')) # from line 101, col 24.
            write(u''':</th>
''')
        else: # generated from line 102, col 1
            write(u'''      <th align="left">''')
            if False:
                _("Word form(s)")
            _v = VFFSL(SL,"_",False)("Word form(s)") # u'$_("Word form(s)")' on line 103, col 24
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Word form(s)")')) # from line 103, col 24.
            write(u''':</th>
''')
        write(u'''      <td>
      <input type="text" name="fc_lemword" />
      <select name="fc_lemword_type">
         <option value="all" ''')
        if VFFSL(SL,"fc_lemword_type",True) == 'all' : # generated from line 108, col 30
            _v =  'selected="selected"' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  ''
            if _v is not None: write(_filter(_v))
        write(u''' >''')
        if False:
            _("all")
        _v = VFFSL(SL,"_",False)("all") # u'$_("all")' on line 108, col 97
        if _v is not None: write(_filter(_v, rawExpr=u'$_("all")')) # from line 108, col 97.
        write(u'''</option>
         <option value="any" ''')
        if VFFSL(SL,"fc_lemword_type",True) == 'any' : # generated from line 109, col 30
            _v =  'selected="selected"' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  ''
            if _v is not None: write(_filter(_v))
        write(u''' >''')
        if False:
            _("any")
        _v = VFFSL(SL,"_",False)("any") # u'$_("any")' on line 109, col 97
        if _v is not None: write(_filter(_v, rawExpr=u'$_("any")')) # from line 109, col 97.
        write(u'''</option>
         <option value="none" ''')
        if VFFSL(SL,"fc_lemword_type",True) == 'none' : # generated from line 110, col 31
            _v =  'selected="selected"' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  ''
            if _v is not None: write(_filter(_v))
        write(u''' >''')
        if False:
            _("none")
        _v = VFFSL(SL,"_",False)("none") # u'$_("none")' on line 110, col 99
        if _v is not None: write(_filter(_v, rawExpr=u'$_("none")')) # from line 110, col 99.
        write(u'''</option>
       </select>
       ''')
        if False:
            _("of these items")
        _v = VFFSL(SL,"_",False)("of these items") # u'$_("of these items")' on line 112, col 8
        if _v is not None: write(_filter(_v, rawExpr=u'$_("of these items")')) # from line 112, col 8.
        write(u'''.
      </td>
    </tr>
  </table>
  </div>

''')
        if VFFSL(SL,"Wposlist",True): # generated from line 118, col 1
            write(u'''  <h4>''')
            if False:
                _("PoS filter")
            _v = VFFSL(SL,"_",False)("PoS filter") # u'$_("PoS filter")' on line 119, col 7
            if _v is not None: write(_filter(_v, rawExpr=u'$_("PoS filter")')) # from line 119, col 7.
            write(u'''</h4>
  <div class="indent">
  <table class="form">
    <tr>
      <th align="left">''')
            if False:
                _("Window")
            _v = VFFSL(SL,"_",False)("Window") # u'$_("Window")' on line 123, col 24
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Window")')) # from line 123, col 24.
            write(u''':</th>
      <td colspan="2"><select name="fc_pos_window_type">
         <option value="left" ''')
            if VFFSL(SL,"fc_pos_window_type",True) == 'left' : # generated from line 125, col 31
                _v =  'selected="selected"' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  ''
                if _v is not None: write(_filter(_v))
            write(u''' >''')
            if False:
                _("left")
            _v = VFFSL(SL,"_",False)("left") # u'$_("left")' on line 125, col 102
            if _v is not None: write(_filter(_v, rawExpr=u'$_("left")')) # from line 125, col 102.
            write(u'''</option>
         <option value="right" ''')
            if VFFSL(SL,"fc_pos_window_type",True) == 'right' : # generated from line 126, col 32
                _v =  'selected="selected"' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  ''
                if _v is not None: write(_filter(_v))
            write(u''' >''')
            if False:
                _("right")
            _v = VFFSL(SL,"_",False)("right") # u'$_("right")' on line 126, col 104
            if _v is not None: write(_filter(_v, rawExpr=u'$_("right")')) # from line 126, col 104.
            write(u'''</option>
         <option value="both" ''')
            if VFFSL(SL,"fc_pos_window_type",True) == 'both' : # generated from line 127, col 31
                _v =  'selected="selected"' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  ''
                if _v is not None: write(_filter(_v))
            write(u''' >''')
            if False:
                _("both")
            _v = VFFSL(SL,"_",False)("both") # u'$_("both")' on line 127, col 102
            if _v is not None: write(_filter(_v, rawExpr=u'$_("both")')) # from line 127, col 102.
            write(u'''</option>
       </select>
       <select name="fc_pos_wsize">
         <option>1</option>
         <option>2</option>
         <option>3</option>
         <option>4</option>
         <option selected="selected">5</option>
         <option>7</option>
         <option>10</option>
         <option>15</option>
       </select>
       ''')
            if False:
                _("tokens")
            _v = VFFSL(SL,"_",False)("tokens") # u'$_("tokens")' on line 139, col 8
            if _v is not None: write(_filter(_v, rawExpr=u'$_("tokens")')) # from line 139, col 8.
            write(u'''.
      </td>
    </tr>
    <tr>
      <th align="left" valign="top">''')
            if False:
                _("PoS")
            _v = VFFSL(SL,"_",False)("PoS") # u'$_("PoS")' on line 143, col 37
            if _v is not None: write(_filter(_v, rawExpr=u'$_("PoS")')) # from line 143, col 37.
            write(u''':<br/><span class="explanation">(''')
            if False:
                _("use Ctrl+click for")
            _v = VFFSL(SL,"_",False)("use Ctrl+click for") # u'$_("use Ctrl+click for")' on line 143, col 79
            if _v is not None: write(_filter(_v, rawExpr=u'$_("use Ctrl+click for")')) # from line 143, col 79.
            write(u''' <br/>
''')
            if False:
                _("multiple selection")
            _v = VFFSL(SL,"_",False)("multiple selection") # u'$_("multiple selection")' on line 144, col 1
            if _v is not None: write(_filter(_v, rawExpr=u'$_("multiple selection")')) # from line 144, col 1.
            write(u''')</span></th>
    <td><select name="fc_pos" size="4" multiple="multiple" title="''')
            if False:
                _("Select one or more PoS tags")
            _v = VFFSL(SL,"_",False)("Select one or more PoS tags") # u'$_("Select one or more PoS tags")' on line 145, col 67
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Select one or more PoS tags")')) # from line 145, col 67.
            write(u'''">
''')
            for w in VFFSL(SL,"Wposlist",True): # generated from line 146, col 5
                write(u'''      <option>''')
                _v = VFFSL(SL,"w.n",True) # u'$w.n' on line 147, col 15
                if _v is not None: write(_filter(_v, rawExpr=u'$w.n')) # from line 147, col 15.
                write(u'''</option>
''')
            write(u'''      </select>
    </td>
    <td valign="top">
      <select name="fc_pos_type">
         <option value="all" ''')
            if VFFSL(SL,"fc_pos_type",True) == 'all' : # generated from line 153, col 30
                _v =  'selected="selected"' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  ''
                if _v is not None: write(_filter(_v))
            write(u''' >''')
            if False:
                _("all")
            _v = VFFSL(SL,"_",False)("all") # u'$_("all")' on line 153, col 93
            if _v is not None: write(_filter(_v, rawExpr=u'$_("all")')) # from line 153, col 93.
            write(u'''</option>
         <option value="any" ''')
            if VFFSL(SL,"fc_pos_type",True) == 'any' : # generated from line 154, col 30
                _v =  'selected="selected"' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  ''
                if _v is not None: write(_filter(_v))
            write(u''' >''')
            if False:
                _("any")
            _v = VFFSL(SL,"_",False)("any") # u'$_("any")' on line 154, col 93
            if _v is not None: write(_filter(_v, rawExpr=u'$_("any")')) # from line 154, col 93.
            write(u'''</option>
         <option value="none" ''')
            if VFFSL(SL,"fc_pos_type",True) == 'none' : # generated from line 155, col 31
                _v =  'selected="selected"' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  ''
                if _v is not None: write(_filter(_v))
            write(u''' >''')
            if False:
                _("none")
            _v = VFFSL(SL,"_",False)("none") # u'$_("none")' on line 155, col 95
            if _v is not None: write(_filter(_v, rawExpr=u'$_("none")')) # from line 155, col 95.
            write(u'''</option>
       </select>
       ''')
            if False:
                _("of these items")
            _v = VFFSL(SL,"_",False)("of these items") # u'$_("of these items")' on line 157, col 8
            if _v is not None: write(_filter(_v, rawExpr=u'$_("of these items")')) # from line 157, col 8.
            write(u'''.
      </td>
    </tr>
  </table>
  </div>
''')
        write(u'''</div>
</div>


''')
        if VFFSL(SL,"TextTypeSel",True): # generated from line 167, col 1
            hidden = ('texttypeel' in VFFSL(SL,"showhiddenlistsimple",True)) and ' visible' or ' hidden'
            write(u'''  <div class="advanced_options''')
            _v = VFFSL(SL,"hidden",True) # u'$hidden' on line 169, col 31
            if _v is not None: write(_filter(_v, rawExpr=u'$hidden')) # from line 169, col 31.
            write(u'''" id="texttypeel">
  <h3>''')
            if False:
                _("Text Types")
            _v = VFFSL(SL,"_",False)("Text Types") # u'$_("Text Types")' on line 170, col 7
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Text Types")')) # from line 170, col 7.
            write(u'''</h3>

  <div class="indent">
  <table><tr>
  <th>
  ''')
            if False:
                _("Subcorpus")
            _v = VFFSL(SL,"_",False)("Subcorpus") # u'$_("Subcorpus")' on line 175, col 3
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Subcorpus")')) # from line 175, col 3.
            write(u''':
''')
            _orig_filter_47233088 = _filter
            _filter = self._CHEETAH__initialFilter
            write(u'''  ''')
            _v = VFFSL(SL,"subcorp_sel",True) # u'$subcorp_sel' on line 177, col 3
            if _v is not None: write(_filter(_v, rawExpr=u'$subcorp_sel')) # from line 177, col 3.
            write(u'''
''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_47233088
            write(u'''  </th></tr>
<tr><td>

''')
            _orig_filter_74957150 = _filter
            _filter = self._CHEETAH__initialFilter
            _v = VFFSL(SL,"tt_sel",True) # u'$tt_sel' on line 183, col 1
            if _v is not None: write(_filter(_v, rawExpr=u'$tt_sel')) # from line 183, col 1.
            write(u'''
''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_74957150
            write(u'''
</td></tr>
</table>
</div>
</div>
''')
        write(u'''
''')
        if VFFSL(SL,"Aligned",True): # generated from line 192, col 1
            write(u'''<br/>
<table class="form">
  <tr><td colspan="2">
    ''')
            if False:
                _('This corpus is aligned with')
            _v = VFFSL(SL,"_",False)('This corpus is aligned with') # u"$_('This corpus is aligned with')" on line 196, col 5
            if _v is not None: write(_filter(_v, rawExpr=u"$_('This corpus is aligned with')")) # from line 196, col 5.
            write(u'''
    <b>''')
            _v = VFFSL(SL,"Aligned",True)[0]['label'] # u"$Aligned[0]['label']" on line 197, col 8
            if _v is not None: write(_filter(_v, rawExpr=u"$Aligned[0]['label']")) # from line 197, col 8.
            write(u''' (''')
            _v = VFFSL(SL,"Aligned",True)[0]['n'] # u"$Aligned[0]['n']" on line 197, col 30
            if _v is not None: write(_filter(_v, rawExpr=u"$Aligned[0]['n']")) # from line 197, col 30.
            write(u''')</b> . You can filter the
    concordance only to lines where the aligned segment contains or does
    not contain specified words.
  </td></tr>
  <tr class="required" id="pqueryrow">
    <th>''')
            if False:
                _('Aligned part')
            _v = VFFSL(SL,"_",False)('Aligned part') # u"$_('Aligned part')" on line 202, col 9
            if _v is not None: write(_filter(_v, rawExpr=u"$_('Aligned part')")) # from line 202, col 9.
            write(u''':</th>
    <td><input type="text" id="pquery" name="pquery" size="60" value="''')
            _v = VFFSL(SL,"pquery",True) # u'$pquery' on line 203, col 71
            if _v is not None: write(_filter(_v, rawExpr=u'$pquery')) # from line 203, col 71.
            write(u'''" /></td>
  </tr>
  <tr class="required" id="pqueryrow">
    <th>''')
            if False:
                _('NOT in aligned part')
            _v = VFFSL(SL,"_",False)('NOT in aligned part') # u"$_('NOT in aligned part')" on line 206, col 9
            if _v is not None: write(_filter(_v, rawExpr=u"$_('NOT in aligned part')")) # from line 206, col 9.
            write(u''':</th>
    <td><input type="text" id="npquery" name="npquery" size="60" value="''')
            _v = VFFSL(SL,"npquery",True) # u'$npquery' on line 207, col 73
            if _v is not None: write(_filter(_v, rawExpr=u'$npquery')) # from line 207, col 73.
            write(u'''" /></td>
  </tr>
</table>
''')
        write(u'''
<div class="buttons">
<input class="submit" type="submit" value="''')
        if False:
            _("Make Concordance")
        _v = VFFSL(SL,"_",False)("Make Concordance") # u'$_("Make Concordance")' on line 213, col 44
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Make Concordance")')) # from line 213, col 44.
        write(u'''" />
<input class="button" type="button" value="''')
        if False:
            _("Clear All")
        _v = VFFSL(SL,"_",False)("Clear All") # u'$_("Clear All")' on line 214, col 44
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Clear All")')) # from line 214, col 44.
        write(u'''" onclick="clearForm(document.getElementById(\'mainform\'));cmdSwitchQuery();" />
</div>
</fieldset>
</form>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_89476042
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''







''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    focus = "cmdGetFocusedId()"

    _mainCheetahMethod_for_first_form= 'writeBody'

## END CLASS DEFINITION

if not hasattr(first_form, '_initCheetahAttributes'):
    templateAPIClass = getattr(first_form, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(first_form)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=first_form()).run()


