#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from cmpltmpl.conc import conc

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1351161951.3906
__CHEETAH_genTimestamp__ = 'Thu Oct 25 12:45:51 2012'
__CHEETAH_src__ = 'templates/freqs.tmpl'
__CHEETAH_srcLastModified__ = 'Tue Oct 23 19:19:50 2012'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class freqs(conc):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(freqs, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 4, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if VFFSL(SL,"methodname",True) == 'struct_wordlist': # generated from line 5, col 1
            self._CHEETAH__globalSetVars["methodhref"] = VFFSL(SL,"methodname",True)
            self._CHEETAH__globalSetVars["arghref"] = '%s;%s;flimit=%s;freq_sort=%s;ml=%s;fpage=%s;wlcache=%s;blcache=%s;ftt_include_empty=%s;wlpat=%s;wlattr=%s' % (VFFSL(SL,"globals",True), VFFSL(SL,"fcrit",True), VFFSL(SL,"flimit",True), VFFSL(SL,"freq_sort",True), VFFSL(SL,"ml",True), VFFSL(SL,"fpage",True), VFFSL(SL,"wlcache",True), VFFSL(SL,"blcache",True), VFFSL(SL,"ftt_include_empty",True), VFFSL(SL,"wlpat",True), VFFSL(SL,"wlattr",True))
        else: # generated from line 8, col 1
            self._CHEETAH__globalSetVars["methodhref"] = 'freqs'
            self._CHEETAH__globalSetVars["arghref"] = '%s;%s;%s;flimit=%s;freq_sort=%s;ml=%s;fpage=%s;ftt_include_empty=%s' % (VFFSL(SL,"q",True), VFFSL(SL,"globals",True), VFFSL(SL,"fcrit",True), VFFSL(SL,"flimit",True), VFFSL(SL,"freq_sort",True), VFFSL(SL,"ml",True), VFFSL(SL,"fpage",True), VFFSL(SL,"ftt_include_empty",True))
        self._CHEETAH__globalSetVars["allhref"] = VFFSL(SL,"methodhref",True)+ '?' +VFFSL(SL,"arghref",True)
        if False:
            _("Frequency list")
        _v = VFFSL(SL,"_",False)("Frequency list") # u'$_("Frequency list")' on line 13, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Frequency list")')) # from line 13, col 1.
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu_options(self, **KWS):



        ## CHEETAH: generated from #def left_submenu_options at line 18, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_27016584 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        if VFFSL(SL,"methodname",True)=='struct_wordlist': # generated from line 20, col 1
            write(u'''  <li><a href="wordlist_form?''')
            _v = VFFSL(SL,"arghref",True) # u'$arghref' on line 21, col 30
            if _v is not None: write(_filter(_v, rawExpr=u'$arghref')) # from line 21, col 30.
            write(u'''">''')
            if False:
                _("Change options")
            _v = VFFSL(SL,"_",False)("Change options") # u'$_("Change options")' on line 21, col 40
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Change options")')) # from line 21, col 40.
            write(u'''</a></li>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_27016584
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu_save(self, **KWS):



        ## CHEETAH: generated from #def left_submenu_save at line 26, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_18673446 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''<li><a title="''')
        if False:
            _("Save Frequency list to a text file or XML")
        _v = VFFSL(SL,"_",False)("Save Frequency list to a text file or XML") # u'$_("Save Frequency list to a text file or XML")' on line 28, col 15
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Save Frequency list to a text file or XML")')) # from line 28, col 15.
        write(u'''" href="savefreq_form?''')
        _v = VFFSL(SL,"arghref",True) # u'$arghref' on line 28, col 84
        if _v is not None: write(_filter(_v, rawExpr=u'$arghref')) # from line 28, col 84.
        write(u'''">''')
        if False:
            _("Save")
        _v = VFFSL(SL,"_",False)("Save") # u'$_("Save")' on line 28, col 94
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Save")')) # from line 28, col 94.
        write(u'''</a></li>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_18673446
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def navigation(self, navid="next", **KWS):



        ## CHEETAH: generated from #block navigation($navid="next") at line 56, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if VFFSL(SL,"paging",True) and (VFFSL(SL,"fpage",True) > 1 or not VFFSL(SL,"lastpage",True)): # generated from line 57, col 1
            write(u'''<div class="bonito-pagination">
<form action="''')
            _v = VFFSL(SL,"methodhref",True) # u'$methodhref' on line 59, col 15
            if _v is not None: write(_filter(_v, rawExpr=u'$methodhref')) # from line 59, col 15.
            write(u'''" method="POST">
<fieldset class="float">
''')
            if VFFSL(SL,"fpage",True) > 1: # generated from line 61, col 3
                write(u'''    <div class="bonito-pagination-left">
    <a href="''')
                _v = VFFSL(SL,"allhref",True) # u'$allhref' on line 63, col 14
                if _v is not None: write(_filter(_v, rawExpr=u'$allhref')) # from line 63, col 14.
                write(u'''">''')
                if False:
                    _("<< First")
                _v = VFFSL(SL,"_",False)("<< First") # u'$_("<< First")' on line 63, col 24
                if _v is not None: write(_filter(_v, rawExpr=u'$_("<< First")')) # from line 63, col 24.
                write(u'''</a> |
    <a href="''')
                _v = VFFSL(SL,"allhref",True) # u'$allhref' on line 64, col 14
                if _v is not None: write(_filter(_v, rawExpr=u'$allhref')) # from line 64, col 14.
                write(u''';fpage=''')
                _v = VFFSL(SL,"int",False)(VFFSL(SL,"fpage",True)) - 1 # u'$(int($fpage) - 1)' on line 64, col 29
                if _v is not None: write(_filter(_v, rawExpr=u'$(int($fpage) - 1)')) # from line 64, col 29.
                write(u'''">''')
                if False:
                    _("< Previous")
                _v = VFFSL(SL,"_",False)("< Previous") # u'$_("< Previous")' on line 64, col 49
                if _v is not None: write(_filter(_v, rawExpr=u'$_("< Previous")')) # from line 64, col 49.
                write(u'''</a>
    </div>
''')
            write(u'''
<div class="bonito-pagination-core">
''')
            _orig_filter_60516539 = _filter
            _filter = self._CHEETAH__initialFilter
            write(u'''  ''')
            _v = VFFSL(SL,"input_hidden",True) # u'$input_hidden' on line 70, col 3
            if _v is not None: write(_filter(_v, rawExpr=u'$input_hidden')) # from line 70, col 3.
            write(u'''
''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_60516539
            write(u'''    <input type="hidden" name="wlpat" value="''')
            _v = VFFSL(SL,"wlpat",True) # u'$wlpat' on line 72, col 46
            if _v is not None: write(_filter(_v, rawExpr=u'$wlpat')) # from line 72, col 46.
            write(u'''" />
    <input type="hidden" name="wlattr" value="''')
            _v = VFFSL(SL,"wlattr",True) # u'$wlattr' on line 73, col 47
            if _v is not None: write(_filter(_v, rawExpr=u'$wlattr')) # from line 73, col 47.
            write(u'''" />
''')
            for fcr in VFFSL(SL,"FCrit",True): # generated from line 74, col 3
                write(u'''    <input type="hidden" name="fcrit" value="''')
                _v = VFFSL(SL,"fcr.fcrit",True) # u'$fcr.fcrit' on line 75, col 46
                if _v is not None: write(_filter(_v, rawExpr=u'$fcr.fcrit')) # from line 75, col 46.
                write(u'''" />
''')
            write(u'''    <input type="hidden" name="flimit" value=\'''')
            _v = VFFSL(SL,"flimit",True) # u'$flimit' on line 77, col 47
            if _v is not None: write(_filter(_v, rawExpr=u'$flimit')) # from line 77, col 47.
            write(u'''\' />
    <input type="hidden" name="freq_sort" value=\'''')
            _v = VFFSL(SL,"freq_sort",True) # u'$freq_sort' on line 78, col 50
            if _v is not None: write(_filter(_v, rawExpr=u'$freq_sort')) # from line 78, col 50.
            write(u'''\' />
    <input type="hidden" name="ml" value=\'''')
            _v = VFFSL(SL,"ml",True) # u'$ml' on line 79, col 43
            if _v is not None: write(_filter(_v, rawExpr=u'$ml')) # from line 79, col 43.
            write(u"""' />

    """)
            if False:
                _("Page")
            _v = VFFSL(SL,"_",False)("Page") # u'$_("Page")' on line 81, col 5
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Page")')) # from line 81, col 5.
            write(u'''
    <input type="text" name="fpage" value="''')
            _v = VFFSL(SL,"fpage",True) # u'$fpage' on line 82, col 44
            if _v is not None: write(_filter(_v, rawExpr=u'$fpage')) # from line 82, col 44.
            write(u'''" size="4" />
    <input type="submit" value="''')
            if False:
                _("Go")
            _v = VFFSL(SL,"_",False)("Go") # u'$_("Go")' on line 83, col 33
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Go")')) # from line 83, col 33.
            write(u'''" /> 
</div>
  
''')
            if not VFFSL(SL,"lastpage",True): # generated from line 86, col 3
                write(u'''  <div class="bonito-pagination-right">
    <a href="''')
                _v = VFFSL(SL,"allhref",True) # u'$allhref' on line 88, col 14
                if _v is not None: write(_filter(_v, rawExpr=u'$allhref')) # from line 88, col 14.
                write(u''';fpage=''')
                _v = VFFSL(SL,"int",False)(VFFSL(SL,"fpage",True)) + 1 # u'$(int($fpage) + 1)' on line 88, col 29
                if _v is not None: write(_filter(_v, rawExpr=u'$(int($fpage) + 1)')) # from line 88, col 29.
                write(u'''" id="''')
                _v = VFFSL(SL,"navid",True) # u'$navid' on line 88, col 53
                if _v is not None: write(_filter(_v, rawExpr=u'$navid')) # from line 88, col 53.
                write(u'''">''')
                if False:
                    _("Next >")
                _v = VFFSL(SL,"_",False)("Next >") # u'$_("Next >")' on line 88, col 61
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Next >")')) # from line 88, col 61.
                write(u'''</a>
  </div>
''')
            else: # generated from line 90, col 3
                write(u'''  <a id="''')
                _v = VFFSL(SL,"navid",True) # u'$navid' on line 91, col 10
                if _v is not None: write(_filter(_v, rawExpr=u'$navid')) # from line 91, col 10.
                write(u'''"></a>
''')
            write(u'''</fieldset>
</form>
</div>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #def main at line 32, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_74536245 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''
<h3>''')
        if False:
            _("Frequency list")
        _v = VFFSL(SL,"_",False)("Frequency list") # u'$_("Frequency list")' on line 35, col 5
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Frequency list")')) # from line 35, col 5.
        write(u'''</h3>

<form action="''')
        _v = VFFSL(SL,"methodhref",True) # u'$methodhref' on line 37, col 15
        if _v is not None: write(_filter(_v, rawExpr=u'$methodhref')) # from line 37, col 15.
        write(u'''" method="POST">
<fieldset class="float">
''')
        _orig_filter_26946253 = _filter
        _filter = self._CHEETAH__initialFilter
        _v = VFFSL(SL,"input_hidden",True) # u'$input_hidden' on line 40, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$input_hidden')) # from line 40, col 1.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_26946253
        for f in VFFSL(SL,"FCrit",True): # generated from line 42, col 3
            write(u'''        <input type="hidden" name="fcrit" value="''')
            _v = VFFSL(SL,"f.fcrit",True) # u'$f.fcrit' on line 43, col 50
            if _v is not None: write(_filter(_v, rawExpr=u'$f.fcrit')) # from line 43, col 50.
            write(u'''" />
''')
        write(u'''        <input type="hidden" name="ml" value="''')
        _v = VFFSL(SL,"ml",True) # u'$ml' on line 45, col 47
        if _v is not None: write(_filter(_v, rawExpr=u'$ml')) # from line 45, col 47.
        write(u'''" />
        <input type="hidden" name="fpage" value="''')
        _v = VFFSL(SL,"fpage",True) # u'$fpage' on line 46, col 50
        if _v is not None: write(_filter(_v, rawExpr=u'$fpage')) # from line 46, col 50.
        write(u'''" />
        <input type="hidden" name="ftt_include_empty" value="''')
        _v = VFFSL(SL,"ftt_include_empty",True) # u'$ftt_include_empty' on line 47, col 62
        if _v is not None: write(_filter(_v, rawExpr=u'$ftt_include_empty')) # from line 47, col 62.
        write(u'''" />
        <input type="hidden" name="wlpat" value="''')
        _v = VFFSL(SL,"wlpat",True) # u'$wlpat' on line 48, col 50
        if _v is not None: write(_filter(_v, rawExpr=u'$wlpat')) # from line 48, col 50.
        write(u'''" />
        <input type="hidden" name="wlattr" value="''')
        _v = VFFSL(SL,"wlattr",True) # u'$wlattr' on line 49, col 51
        if _v is not None: write(_filter(_v, rawExpr=u'$wlattr')) # from line 49, col 51.
        write(u'''" />
  ''')
        if False:
            _("Frequency limit")
        _v = VFFSL(SL,"_",False)("Frequency limit") # u'$_("Frequency limit")' on line 50, col 3
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Frequency limit")')) # from line 50, col 3.
        write(u''': <input type="text" name="flimit" value="''')
        _v = VFFSL(SL,"flimit",True) # u'$flimit' on line 50, col 66
        if _v is not None: write(_filter(_v, rawExpr=u'$flimit')) # from line 50, col 66.
        write(u'''" size="7" />
  <input type="submit" value="''')
        if False:
            _("Set limit")
        _v = VFFSL(SL,"_",False)("Set limit") # u'$_("Set limit")' on line 51, col 31
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Set limit")')) # from line 51, col 31.
        write(u'''" />
</fieldset>
</form>


''')
        self.navigation(trans=trans)
        write(u'''


<table class="result">
''')
        for b in VFFSL(SL,"Blocks",True): # generated from line 102, col 1
            write(u'''  <tr>
  <th></th>
''')
            for h in VFFSL(SL,"b.Head",True): # generated from line 105, col 3
                write(u'''    <th><a href="''')
                _v = VFFSL(SL,"methodhref",True) # u'$methodhref' on line 106, col 18
                if _v is not None: write(_filter(_v, rawExpr=u'$methodhref')) # from line 106, col 18.
                write(u'''?''')
                _v = VFFSL(SL,"url_sub",False)(VFFSL(SL,"arghref",True), 'freq_sort', VFFSL(SL,"h.s",True)) # u"$url_sub($arghref, 'freq_sort', $h.s)" on line 106, col 30
                if _v is not None: write(_filter(_v, rawExpr=u"$url_sub($arghref, 'freq_sort', $h.s)")) # from line 106, col 30.
                write(u'''">''')
                _v = VFFSL(SL,"h.n",True) # u'$h.n' on line 106, col 69
                if _v is not None: write(_filter(_v, rawExpr=u'$h.n')) # from line 106, col 69.
                write(u'''</a></th>
''')
            write(u'''  </tr>

''')
            for i in VFN(VFFSL(SL,"b",True),"get",False)('Items', []): # generated from line 110, col 3
                if len(VFN(VFFSL(SL,"i",True),"Word",True)[0]['n']) == 0: # generated from line 111, col 5
                    continue
                write(u'''  <tr
''')
                if VFN(VFFSL(SL,"i",True),"has_key",False)('class'): # generated from line 115, col 5
                    write(u'''      class="''')
                    _v = VFFSL(SL,"i.class",True) # u'$i.class' on line 116, col 14
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.class')) # from line 116, col 14.
                    write(u'''"
''')
                write(u'''  >
    <td>
''')
                if VFN(VFFSL(SL,"i",True),"get",False)('pfilter', ''): # generated from line 120, col 5
                    write(u"""<a href='view?""")
                    _v = VFFSL(SL,"q",True) # u'$q' on line 121, col 15
                    if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 121, col 15.
                    _v = VFN(VFFSL(SL,"i",True),"get",False)('pfilter') # u"$i.get('pfilter')" on line 121, col 17
                    if _v is not None: write(_filter(_v, rawExpr=u"$i.get('pfilter')")) # from line 121, col 17.
                    write(u''';''')
                    _v = VFFSL(SL,"globals",True) # u'$globals' on line 121, col 35
                    if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 121, col 35.
                    write(u"""'>p</a>/""")
                    if VFN(VFFSL(SL,"i",True),"get",False)('nfilter', ''): # generated from line 122, col 7
                        write(u"""<a href='view?""")
                        _v = VFFSL(SL,"q",True) # u'$q' on line 123, col 15
                        if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 123, col 15.
                        _v = VFN(VFFSL(SL,"i",True),"get",False)('nfilter') # u"$i.get('nfilter')" on line 123, col 17
                        if _v is not None: write(_filter(_v, rawExpr=u"$i.get('nfilter')")) # from line 123, col 17.
                        write(u''';''')
                        _v = VFFSL(SL,"globals",True) # u'$globals' on line 123, col 35
                        if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 123, col 35.
                        write(u"""'>n</a></td>
""")
                    else: # generated from line 124, col 7
                        write(u'''<span class="disabled" title="Negative filter not available">n</span>
''')
                for w in VFFSL(SL,"i.Word",True): # generated from line 128, col 5
                    write(u'''      <td>''')
                    _v = VFFSL(SL,"w.n",True) # u'$w.n' on line 129, col 11
                    if _v is not None: write(_filter(_v, rawExpr=u'$w.n')) # from line 129, col 11.
                    write(u'''</td>
''')
                write(u'''    <td align="right">''')
                _v = VFFSL(SL,"i.freq",True) # u'$i.freq' on line 131, col 23
                if _v is not None: write(_filter(_v, rawExpr=u'$i.freq')) # from line 131, col 23.
                write(u'''</td>
''')
                if VFN(VFFSL(SL,"i",True),"has_key",False)('rel'): # generated from line 132, col 5
                    write(u'''      <td align="right">''')
                    _v = VFFSL(SL,"i.rel",True) # u'$i.rel' on line 133, col 25
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.rel')) # from line 133, col 25.
                    write(u'''</td>
''')
                if VFFSL(SL,"i.norel",True): # generated from line 135, col 5
                    write(u'''      <td><div class="bar" style="height:10px;width:''')
                    _v = VFFSL(SL,"i",True)['fbar'] # u"${i['fbar']}" on line 136, col 53
                    if _v is not None: write(_filter(_v, rawExpr=u"${i['fbar']}")) # from line 136, col 53.
                    write(u'''px;"></div><img src="''')
                    _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 136, col 86
                    if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 136, col 86.
                    write(u'''/img/red.png" class="hidden" height="10" width="''')
                    _v = VFFSL(SL,"i.fbar",True) # u'$i.fbar' on line 136, col 145
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.fbar')) # from line 136, col 145.
                    write(u'''" alt="''')
                    _v = VFFSL(SL,"i",True)['fbar'] # u"${i['fbar']}" on line 136, col 159
                    if _v is not None: write(_filter(_v, rawExpr=u"${i['fbar']}")) # from line 136, col 159.
                    write(u'''" />
      </td>
''')
                else: # generated from line 138, col 5
                    write(u'''      <td><div class="bar" style="height:''')
                    _v = VFFSL(SL,"i",True)['freqbar'] # u"${i['freqbar']}" on line 139, col 42
                    if _v is not None: write(_filter(_v, rawExpr=u"${i['freqbar']}")) # from line 139, col 42.
                    write(u'''px;width:''')
                    _v = VFFSL(SL,"i",True)['relbar'] # u"${i['relbar']}" on line 139, col 66
                    if _v is not None: write(_filter(_v, rawExpr=u"${i['relbar']}")) # from line 139, col 66.
                    write(u'''px;"></div><img src="''')
                    _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 139, col 101
                    if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 139, col 101.
                    write(u'''/img/red.png" class="hidden" height="''')
                    _v = VFFSL(SL,"i.freqbar",True) # u'$i.freqbar' on line 139, col 149
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.freqbar')) # from line 139, col 149.
                    write(u'''" width="''')
                    _v = VFFSL(SL,"i.relbar",True) # u'$i.relbar' on line 139, col 168
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.relbar')) # from line 139, col 168.
                    write(u'''" alt="''')
                    _v = VFFSL(SL,"i",True)['relbar'] # u"${i['relbar']}" on line 139, col 184
                    if _v is not None: write(_filter(_v, rawExpr=u"${i['relbar']}")) # from line 139, col 184.
                    write(u'''" /></td>
''')
                write(u'''  </tr>
''')
        write(u'''</table>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_74536245
        write(u'''
''')
        _orig_filter_13925521 = _filter
        _filter = self._CHEETAH__initialFilter
        _v = VFFSL(SL,"navigation",False)("next2") # u'$navigation("next2")' on line 148, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$navigation("next2")')) # from line 148, col 1.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_13925521
        write(u'''
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''




''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    focus = "'next'"

    _mainCheetahMethod_for_freqs= 'writeBody'

## END CLASS DEFINITION

if not hasattr(freqs, '_initCheetahAttributes'):
    templateAPIClass = getattr(freqs, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(freqs)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=freqs()).run()


