#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1351161952.193685
__CHEETAH_genTimestamp__ = 'Thu Oct 25 12:45:52 2012'
__CHEETAH_src__ = 'templates/savecoll.tmpl'
__CHEETAH_srcLastModified__ = 'Wed Jul 25 14:05:22 2012'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class savecoll(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(savecoll, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        #  XML format
        if VFFSL(SL,"saveformat",True) == 'xml': # generated from line 2, col 1
            write(u'''<?xml version="1.0" encoding="''')
            _v = VFFSL(SL,"corpencoding",True) # u'$corpencoding' on line 3, col 31
            if _v is not None: write(_filter(_v, rawExpr=u'$corpencoding')) # from line 3, col 31.
            write(u'''"?>

''')
            _orig_filter_69647485 = _filter
            filterName = u'WebSafe'
            if self._CHEETAH__filters.has_key("WebSafe"):
                _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
            else:
                _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
            write(u'''<collocations>
''')
            if VFFSL(SL,"heading",True): # generated from line 7, col 3
                write(u'''  <heading>
    <corpus>''')
                _v = VFFSL(SL,"corpname",True) # u'$corpname' on line 9, col 13
                if _v is not None: write(_filter(_v, rawExpr=u'$corpname')) # from line 9, col 13.
                write(u'''</corpus>
    <query>''')
                for d in VFFSL(SL,"Desc",True): # generated from line 11, col 5
                    _v = VFFSL(SL,"d.arg",True) # u'$d.arg' on line 12, col 1
                    if _v is not None: write(_filter(_v, rawExpr=u'$d.arg')) # from line 12, col 1.
                write(u'''</query>
    <scores>
''')
                for s in VFFSL(SL,"Scores",True): # generated from line 17, col 5
                    write(u'''      <score>''')
                    _v = VFFSL(SL,"s.n",True) # u'$s.n' on line 18, col 14
                    if _v is not None: write(_filter(_v, rawExpr=u'$s.n')) # from line 18, col 14.
                    write(u'''</score>
''')
                write(u'''    </scores>
  </heading>
''')
            write(u'''  <items>
''')
            for i in VFFSL(SL,"Items",True): # generated from line 24, col 3
                write(u'''    <item>
      <str>''')
                _v = VFFSL(SL,"i.str",True) # u'$i.str' on line 26, col 12
                if _v is not None: write(_filter(_v, rawExpr=u'$i.str')) # from line 26, col 12.
                write(u'''</str>
      <freq>''')
                _v = VFFSL(SL,"i.freq",True) # u'$i.freq' on line 27, col 13
                if _v is not None: write(_filter(_v, rawExpr=u'$i.freq')) # from line 27, col 13.
                write(u'''</freq>
''')
                for ss in VFFSL(SL,"i.Stats",True): # generated from line 28, col 5
                    write(u'''      <score>''')
                    _v = VFFSL(SL,"ss.s",True) # u'$ss.s' on line 29, col 14
                    if _v is not None: write(_filter(_v, rawExpr=u'$ss.s')) # from line 29, col 14.
                    write(u'''</score>
''')
                write(u'''    </item>
''')
            write(u'''  </items>
</collocations>

''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_69647485
        else: # generated from line 37, col 1
            #  Text format
            if VFFSL(SL,"heading",True): # generated from line 39, col 3
                write(u'''# Collocations\r
\r
# Corpus:corpname\r
''')
                for d in VFFSL(SL,"Desc",True): # generated from line 43, col 5
                    write(u'''# ''')
                    _v = VFFSL(SL,"d.op",True) # u'$d.op' on line 44, col 4
                    if _v is not None: write(_filter(_v, rawExpr=u'$d.op')) # from line 44, col 4.
                    write(u''':  ''')
                    _v = VFFSL(SL,"d.arg",True) # u'$d.arg' on line 44, col 12
                    if _v is not None: write(_filter(_v, rawExpr=u'$d.arg')) # from line 44, col 12.
                    write(u''' ''')
                    _v = VFFSL(SL,"d.size",True) # u'$d.size' on line 44, col 19
                    if _v is not None: write(_filter(_v, rawExpr=u'$d.size')) # from line 44, col 19.
                    write(u'''\r
''')
                write(u'''\r
''')
            for h in VFFSL(SL,"Head",True): # generated from line 48, col 3
                _v = VFFSL(SL,"h.n",True) # u'$h.n' on line 49, col 1
                if _v is not None: write(_filter(_v, rawExpr=u'$h.n')) # from line 49, col 1.
                write(u'''\t''')
            write(u'''\r
''')
            for i in VFFSL(SL,"Items",True): # generated from line 52, col 1
                _v = VFFSL(SL,"i.str",True) # u'$i.str' on line 53, col 1
                if _v is not None: write(_filter(_v, rawExpr=u'$i.str')) # from line 53, col 1.
                write(u'''\t''')
                _v = VFFSL(SL,"i.freq",True) # u'$i.freq' on line 53, col 8
                if _v is not None: write(_filter(_v, rawExpr=u'$i.freq')) # from line 53, col 8.
                write(u'''\t''')
                for ss in VFFSL(SL,"i.Stats",True): # generated from line 54, col 3
                    _v = VFFSL(SL,"ss.s",True) # u'$ss.s' on line 55, col 1
                    if _v is not None: write(_filter(_v, rawExpr=u'$ss.s')) # from line 55, col 1.
                    write(u'''\t''')
                write(u'''\r
''')
            write(u'''\r
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_savecoll= 'respond'

## END CLASS DEFINITION

if not hasattr(savecoll, '_initCheetahAttributes'):
    templateAPIClass = getattr(savecoll, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(savecoll)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=savecoll()).run()


