#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from cmpltmpl.document import document

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1351161952.042085
__CHEETAH_genTimestamp__ = 'Thu Oct 25 12:45:52 2012'
__CHEETAH_src__ = 'templates/wordlist.tmpl'
__CHEETAH_srcLastModified__ = 'Tue Oct 23 19:19:38 2012'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class wordlist(document):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(wordlist, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 4, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if False:
            _("Word list")
        _v = VFFSL(SL,"_",False)("Word list") # u'$_("Word list")' on line 5, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Word list")')) # from line 5, col 1.
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def headers(self, **KWS):



        ## CHEETAH: generated from #def headers at line 8, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_94338046 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        self._CHEETAH__globalSetVars["new_maxitems"] = VFFSL(SL,"wlmaxitems",True) / VFFSL(SL,"wlpage",True)
        self._CHEETAH__globalSetVars["url_wlpat"] = VFFSL(SL,"urlquote",False)(VFFSL(SL,"wlpat",True))
        self._CHEETAH__globalSetVars["url_usesubcorp"] = VFFSL(SL,"urlquote",False)(VFFSL(SL,"usesubcorp",True))
        self._CHEETAH__globalSetVars["curr_settings"] = '%s;usesubcorp=%s;wlattr=%s;wlminfreq=%s;wlpat=%s;wlicase=%s;wlmaxitems=%s;wlsort=%s;ref_corpname=%s;ref_usesubcorp=%s;wlcache=%s;simple_n=%s;wltype=%s;wlnums=%s;include_nonwords=%s;blcache=%s;wlpage=%s' % (VFFSL(SL,"corpname_url",True), VFFSL(SL,"url_usesubcorp",True), VFFSL(SL,"wlattr",True), VFFSL(SL,"wlminfreq",True), VFFSL(SL,"url_wlpat",True), VFFSL(SL,"wlicase",True), VFFSL(SL,"new_maxitems",True), VFFSL(SL,"wlsort",True), VFFSL(SL,"ref_corpname",True), VFFSL(SL,"ref_usesubcorp",True), VFFSL(SL,"wlcache",True), VFFSL(SL,"simple_n",True), VFFSL(SL,"wltype",True), VFFSL(SL,"wlnums",True), VFFSL(SL,"include_nonwords",True), VFFSL(SL,"blcache",True), VFFSL(SL,"wlpage",True))
        write(u'''
''')
        if VFFSL(SL,"processing",True): # generated from line 15, col 2
            write(u'''   <meta http-equiv="refresh" content="3;wordlist?''')
            _v = VFFSL(SL,"curr_settings",True) # u'$curr_settings' on line 16, col 51
            if _v is not None: write(_filter(_v, rawExpr=u'$curr_settings')) # from line 16, col 51.
            write(u'''">
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_94338046
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu_options(self, **KWS):



        ## CHEETAH: generated from #def left_submenu_options at line 21, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_50242597 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''  <li><a href="wordlist_form?''')
        _v = VFFSL(SL,"curr_settings",True) # u'$curr_settings' on line 23, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$curr_settings')) # from line 23, col 30.
        write(u'''">''')
        if False:
            _("Change options")
        _v = VFFSL(SL,"_",False)("Change options") # u'$_("Change options")' on line 23, col 46
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Change options")')) # from line 23, col 46.
        write(u'''</a></li>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_50242597
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu_save(self, **KWS):



        ## CHEETAH: generated from #def left_submenu_save at line 27, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_62553898 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''  <li><a title="''')
        if False:
            _("Save Word List/Keywords to a text file or XML")
        _v = VFFSL(SL,"_",False)("Save Word List/Keywords to a text file or XML") # u'$_("Save Word List/Keywords to a text file or XML")' on line 29, col 17
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Save Word List/Keywords to a text file or XML")')) # from line 29, col 17.
        write(u'''" href="savewl_form?''')
        _v = VFFSL(SL,"curr_settings",True) # u'$curr_settings' on line 29, col 88
        if _v is not None: write(_filter(_v, rawExpr=u'$curr_settings')) # from line 29, col 88.
        write(u'''">''')
        if False:
            _("Save")
        _v = VFFSL(SL,"_",False)("Save") # u'$_("Save")' on line 29, col 104
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Save")')) # from line 29, col 104.
        write(u'''</a></li>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_62553898
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def navigation(self, navid="next", **KWS):



        ## CHEETAH: generated from #block navigation($navid="next") at line 80, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if (VFFSL(SL,"getVar",False)('Items', '') or VFFSL(SL,"getVar",False)('Keywords', '')) and not (VFFSL(SL,"wlpage",True) == 1 and VFFSL(SL,"lastpage",True)): # generated from line 81, col 1
            write(u'''<div class="bonito-pagination">
<form action="wordlist">
<fieldset class="float">
''')
            if VFFSL(SL,"wlpage",True) > 1: # generated from line 85, col 3
                write(u'''    <div class="bonito-pagination-left">
''')
                firstlink_sett = VFFSL(SL,"url_sub",False)(VFFSL(SL,"curr_settings",True), 'wlpage', 1)
                write(u'''    <a href="wordlist?''')
                _v = VFFSL(SL,"firstlink_sett",True) # u'$firstlink_sett' on line 88, col 23
                if _v is not None: write(_filter(_v, rawExpr=u'$firstlink_sett')) # from line 88, col 23.
                write(u'''">''')
                if False:
                    _("<< First")
                _v = VFFSL(SL,"_",False)("<< First") # u'$_("<< First")' on line 88, col 40
                if _v is not None: write(_filter(_v, rawExpr=u'$_("<< First")')) # from line 88, col 40.
                write(u'''</a> |
''')
                prevlink_sett = VFFSL(SL,"url_sub",False)(VFFSL(SL,"curr_settings",True), 'wlpage', int(VFFSL(SL,"wlpage",True)) - 1)
                write(u'''    <a href="wordlist?''')
                _v = VFFSL(SL,"prevlink_sett",True) # u'$prevlink_sett' on line 90, col 23
                if _v is not None: write(_filter(_v, rawExpr=u'$prevlink_sett')) # from line 90, col 23.
                write(u'''">''')
                if False:
                    _("< Previous")
                _v = VFFSL(SL,"_",False)("< Previous") # u'$_("< Previous")' on line 90, col 39
                if _v is not None: write(_filter(_v, rawExpr=u'$_("< Previous")')) # from line 90, col 39.
                write(u'''</a>
    </div>
''')
            write(u'''
<div class="bonito-pagination-core">
    <input type="hidden" name="corpname" value=\'''')
            _v = VFFSL(SL,"corpname",True) # u'$corpname' on line 95, col 49
            if _v is not None: write(_filter(_v, rawExpr=u'$corpname')) # from line 95, col 49.
            write(u'''\' />
    <input type="hidden" name="usesubcorp" value=\'''')
            _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 96, col 51
            if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 96, col 51.
            write(u'''\' />
    <input type="hidden" name="wlattr" value=\'''')
            _v = VFFSL(SL,"wlattr",True) # u'$wlattr' on line 97, col 47
            if _v is not None: write(_filter(_v, rawExpr=u'$wlattr')) # from line 97, col 47.
            write(u'''\' />
    <input type="hidden" name="wlminfreq" value=\'''')
            _v = VFFSL(SL,"wlminfreq",True) # u'$wlminfreq' on line 98, col 50
            if _v is not None: write(_filter(_v, rawExpr=u'$wlminfreq')) # from line 98, col 50.
            write(u'''\' />
    <input type="hidden" name="wlpat" value=\'''')
            _v = VFFSL(SL,"wlpat",True) # u'$wlpat' on line 99, col 46
            if _v is not None: write(_filter(_v, rawExpr=u'$wlpat')) # from line 99, col 46.
            write(u'''\' />
    <input type="hidden" name="wlicase" value=\'''')
            _v = VFFSL(SL,"wlicase",True) # u'$wlicase' on line 100, col 48
            if _v is not None: write(_filter(_v, rawExpr=u'$wlicase')) # from line 100, col 48.
            write(u'''\' />
    <input type="hidden" name="wlmaxitems" value=\'''')
            _v = VFFSL(SL,"new_maxitems",True) # u'$new_maxitems' on line 101, col 51
            if _v is not None: write(_filter(_v, rawExpr=u'$new_maxitems')) # from line 101, col 51.
            write(u'''\' />
    <input type="hidden" name="wlsort" value=\'''')
            _v = VFFSL(SL,"wlsort",True) # u'$wlsort' on line 102, col 47
            if _v is not None: write(_filter(_v, rawExpr=u'$wlsort')) # from line 102, col 47.
            write(u'''\' />
    <input type="hidden" name="ref_corpname" value=\'''')
            _v = VFFSL(SL,"ref_corpname",True) # u'$ref_corpname' on line 103, col 53
            if _v is not None: write(_filter(_v, rawExpr=u'$ref_corpname')) # from line 103, col 53.
            write(u'''\' />
    <input type="hidden" name="ref_usesubcorp" value=\'''')
            _v = VFFSL(SL,"ref_usesubcorp",True) # u'$ref_usesubcorp' on line 104, col 55
            if _v is not None: write(_filter(_v, rawExpr=u'$ref_usesubcorp')) # from line 104, col 55.
            write(u'''\' />
    <input type="hidden" name="wlcache" value=\'''')
            _v = VFFSL(SL,"wlcache",True) # u'$wlcache' on line 105, col 48
            if _v is not None: write(_filter(_v, rawExpr=u'$wlcache')) # from line 105, col 48.
            write(u'''\' />
    <input type="hidden" name="simple_n" value=\'''')
            _v = VFFSL(SL,"simple_n",True) # u'$simple_n' on line 106, col 49
            if _v is not None: write(_filter(_v, rawExpr=u'$simple_n')) # from line 106, col 49.
            write(u'''\' />
    <input type="hidden" name="wltype" value=\'''')
            _v = VFFSL(SL,"wltype",True) # u'$wltype' on line 107, col 47
            if _v is not None: write(_filter(_v, rawExpr=u'$wltype')) # from line 107, col 47.
            write(u'''\' />
    <input type="hidden" name="wlnums" value=\'''')
            _v = VFFSL(SL,"wlnums",True) # u'$wlnums' on line 108, col 47
            if _v is not None: write(_filter(_v, rawExpr=u'$wlnums')) # from line 108, col 47.
            write(u'''\' />
    <input type="hidden" name="include_nonwords" value=\'''')
            _v = VFFSL(SL,"include_nonwords",True) # u'$include_nonwords' on line 109, col 57
            if _v is not None: write(_filter(_v, rawExpr=u'$include_nonwords')) # from line 109, col 57.
            write(u'''\' />
    <input type="hidden" name="blcache" value=\'''')
            _v = VFFSL(SL,"blcache",True) # u'$blcache' on line 110, col 48
            if _v is not None: write(_filter(_v, rawExpr=u'$blcache')) # from line 110, col 48.
            write(u"""' />

  """)
            if False:
                _("Page")
            _v = VFFSL(SL,"_",False)("Page") # u'$_("Page")' on line 112, col 3
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Page")')) # from line 112, col 3.
            write(u'''
  <input type="text" name="wlpage" value="''')
            _v = VFFSL(SL,"wlpage",True) # u'$wlpage' on line 113, col 43
            if _v is not None: write(_filter(_v, rawExpr=u'$wlpage')) # from line 113, col 43.
            write(u'''" size="4" />
  <input type="submit" value="''')
            if False:
                _("Go")
            _v = VFFSL(SL,"_",False)("Go") # u'$_("Go")' on line 114, col 31
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Go")')) # from line 114, col 31.
            write(u'''" />
</div>

''')
            if not VFFSL(SL,"lastpage",True): # generated from line 117, col 3
                write(u'''  <div class="bonito-pagination-right">
''')
                nextlink_sett = VFFSL(SL,"url_sub",False)(VFFSL(SL,"curr_settings",True), 'wlpage', int(VFFSL(SL,"wlpage",True)) + 1)
                write(u'''  <a href="wordlist?''')
                _v = VFFSL(SL,"nextlink_sett",True) # u'$nextlink_sett' on line 120, col 21
                if _v is not None: write(_filter(_v, rawExpr=u'$nextlink_sett')) # from line 120, col 21.
                write(u'''" id="''')
                _v = VFFSL(SL,"navid",True) # u'$navid' on line 120, col 41
                if _v is not None: write(_filter(_v, rawExpr=u'$navid')) # from line 120, col 41.
                write(u'''">''')
                if False:
                    _("Next >")
                _v = VFFSL(SL,"_",False)("Next >") # u'$_("Next >")' on line 120, col 49
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Next >")')) # from line 120, col 49.
                write(u'''</a>
  </div>
''')
            else: # generated from line 122, col 3
                write(u'''  <a id="''')
                _v = VFFSL(SL,"navid",True) # u'$navid' on line 123, col 10
                if _v is not None: write(_filter(_v, rawExpr=u'$navid')) # from line 123, col 10.
                write(u'''"></a>
''')
            write(u'''</fieldset>
</form>
</div> 
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #def main at line 33, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_57982013 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''  <h3>''')
        if False:
            _("Word list")
        _v = VFFSL(SL,"_",False)("Word list") # u'$_("Word list")' on line 35, col 7
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Word list")')) # from line 35, col 7.
        write(u'''</h3>
  ''')
        if False:
            _("Corpus")
        _v = VFFSL(SL,"_",False)("Corpus") # u'$_("Corpus")' on line 36, col 3
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Corpus")')) # from line 36, col 3.
        write(u''': <b>''')
        _v = VFFSL(SL,"corp_full_name",True) # u'$corp_full_name' on line 36, col 20
        if _v is not None: write(_filter(_v, rawExpr=u'$corp_full_name')) # from line 36, col 20.
        write(u'''</b>
''')
        if VFFSL(SL,"usesubcorp",True): # generated from line 37, col 1
            write(u'''  <br/>''')
            if False:
                _("Subcorpus")
            _v = VFFSL(SL,"_",False)("Subcorpus") # u'$_("Subcorpus")' on line 38, col 8
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Subcorpus")')) # from line 38, col 8.
            write(u''': <b>''')
            _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 38, col 28
            if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 38, col 28.
            write(u'''</b>
''')
        if VFFSL(SL,"Keywords",True): # generated from line 40, col 1
            write(u'''  <br/>
  <br/>''')
            if False:
                _("Reference corpus")
            _v = VFFSL(SL,"_",False)("Reference corpus") # u'$_("Reference corpus")' on line 42, col 8
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Reference corpus")')) # from line 42, col 8.
            write(u''':  <b>''')
            _v = VFFSL(SL,"ref_corp_full_name",True) # u'$ref_corp_full_name' on line 42, col 36
            if _v is not None: write(_filter(_v, rawExpr=u'$ref_corp_full_name')) # from line 42, col 36.
            write(u'''</b>
''')
            if VFFSL(SL,"ref_usesubcorp",True): # generated from line 43, col 3
                write(u'''    <br/>''')
                if False:
                    _("Reference subcorpus")
                _v = VFFSL(SL,"_",False)("Reference subcorpus") # u'$_("Reference subcorpus")' on line 44, col 10
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Reference subcorpus")')) # from line 44, col 10.
                write(u''': <b>''')
                _v = VFFSL(SL,"ref_usesubcorp",True) # u'$ref_usesubcorp' on line 44, col 40
                if _v is not None: write(_filter(_v, rawExpr=u'$ref_usesubcorp')) # from line 44, col 40.
                write(u'''</b>
''')
        write(u'''
''')
        if VFFSL(SL,"processing",True): # generated from line 48, col 1
            write(u'''    <div id="progress_message">
       ''')
            if False:
                _("Subcorpora operations need more preprocessing. It will take a while, please wait.")
            _v = VFFSL(SL,"_",False)("Subcorpora operations need more preprocessing. It will take a while, please wait.") # u'$_("Subcorpora operations need more preprocessing. It will take a while, please wait.")' on line 50, col 8
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Subcorpora operations need more preprocessing. It will take a while, please wait.")')) # from line 50, col 8.
            write(u'''
       <p>''')
            if False:
                _("Once the list has been computed, it will be stored, so will be immediately available next time.")
            _v = VFFSL(SL,"_",False)("Once the list has been computed, it will be stored, so will be immediately available next time.") # u'$_("Once the list has been computed, it will be stored, so will be immediately available next time.")' on line 51, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Once the list has been computed, it will be stored, so will be immediately available next time.")')) # from line 51, col 11.
            write(u'''</p>
       <p>''')
            if False:
                _("You can close this window. Repeating wordlist or keywords queries on the same subcorpus will show you progress of the computation.")
            _v = VFFSL(SL,"_",False)("You can close this window. Repeating wordlist or keywords queries on the same subcorpus will show you progress of the computation.") # u'$_("You can close this window. Repeating wordlist or keywords queries on the same subcorpus will show you progress of the computation.")' on line 52, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$_("You can close this window. Repeating wordlist or keywords queries on the same subcorpus will show you progress of the computation.")')) # from line 52, col 11.
            write(u'''</p>
       <div id="progress_scale" style="padding:0">
       <div id="processbar" style="width:''')
            _v = VFFSL(SL,"processing",True) # u'$processing' on line 54, col 42
            if _v is not None: write(_filter(_v, rawExpr=u'$processing')) # from line 54, col 42.
            write(u'''%;"></div>
       </div> 
    </div>

<script type="text/javascript"> 

function update_processbar_width(request) {
    ''')
            _v = 'processbar' # u"$('processbar')" on line 61, col 5
            if _v is not None: write(_filter(_v, rawExpr=u"$('processbar')")) # from line 61, col 5.
            write(u""".style.width = request.responseText;
    if (request.responseText == '100%') {
        window.location.reload(true);
    }
}

function update_processbar() {
    var params = '""")
            _v = VFFSL(SL,"corpname_url",True) # u'$corpname_url' on line 68, col 19
            if _v is not None: write(_filter(_v, rawExpr=u'$corpname_url')) # from line 68, col 19.
            write(u'''&amp;subcname=''')
            _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 68, col 46
            if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 68, col 46.
            write(u"""' 
                 + '&amp;attrname=""")
            _v = VFFSL(SL,"wlattr",True) # u'$wlattr' on line 69, col 35
            if _v is not None: write(_filter(_v, rawExpr=u'$wlattr')) # from line 69, col 35.
            write(u"""'
    new Ajax.Request('wordlist_process', {parameters: params, method:'get',
\t\t\t\t         onComplete: update_processbar_width});
    
}

</script>
""")
        write(u'''<br/><br/>


''')
        self.navigation(trans=trans)
        write(u'''
<table class="result numtab">

''')
        if VFFSL(SL,"Items",True): # generated from line 133, col 1
            if VFFSL(SL,"wlattr",True) != 'ws_collocations': # generated from line 134, col 5
                attrsort_sett = VFFSL(SL,"url_sub",False)(VFFSL(SL,"curr_settings",True), 'wlsort', '')
                freqsort_sett = VFFSL(SL,"url_sub",False)(VFFSL(SL,"curr_settings",True), 'wlsort', 'f')
                write(u'''      <thead><tr>
      <th><a href="wordlist?''')
                _v = VFFSL(SL,"attrsort_sett",True) # u'$attrsort_sett' on line 138, col 29
                if _v is not None: write(_filter(_v, rawExpr=u'$attrsort_sett')) # from line 138, col 29.
                write(u'''">''')
                _v = VFFSL(SL,"wlattr",True) # u'$wlattr' on line 138, col 45
                if _v is not None: write(_filter(_v, rawExpr=u'$wlattr')) # from line 138, col 45.
                write(u'''</a></th>
      <th><a href="wordlist?''')
                _v = VFFSL(SL,"freqsort_sett",True) # u'$freqsort_sett' on line 139, col 29
                if _v is not None: write(_filter(_v, rawExpr=u'$freqsort_sett')) # from line 139, col 29.
                write(u'''">''')
                if False:
                    _("Freq")
                _v = VFFSL(SL,"_",False)("Freq") # u'$_("Freq")' on line 139, col 45
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Freq")')) # from line 139, col 45.
                write(u'''</a></th>
      </tr></thead>
''')
            else: # generated from line 141, col 5
                write(u'''      <thead><tr><th>''')
                _v = VFFSL(SL,"wlattr",True) # u'$wlattr' on line 142, col 22
                if _v is not None: write(_filter(_v, rawExpr=u'$wlattr')) # from line 142, col 22.
                write(u'''</th><th>''')
                if False:
                    _("Freq")
                _v = VFFSL(SL,"_",False)("Freq") # u'$_("Freq")' on line 142, col 38
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Freq")')) # from line 142, col 38.
                write(u'''</th></tr></thead>
''')
            for i in VFFSL(SL,"Items",True): # generated from line 144, col 3
                write(u'''    <tr class="''')
                _v = VFN(VFFSL(SL,"i",True),"get",False)('class') # u"$i.get('class')" on line 145, col 16
                if _v is not None: write(_filter(_v, rawExpr=u"$i.get('class')")) # from line 145, col 16.
                write(u'''" >
''')
                if VFFSL(SL,"wlattr",True) == 'ws_collocations': # generated from line 146, col 5
                    write(u'''      <td class="left">''')
                    _v = VFFSL(SL,"i.w1",True) # u'$i.w1' on line 147, col 24
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.w1')) # from line 147, col 24.
                    write(u''' <sub><span class="note">''')
                    _v = VFFSL(SL,"i.gramrel",True) # u'$i.gramrel' on line 147, col 54
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.gramrel')) # from line 147, col 54.
                    write(u'''</span></sub> ''')
                    _v = VFFSL(SL,"i.w2",True) # u'$i.w2' on line 147, col 78
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.w2')) # from line 147, col 78.
                    write(u'''</td>
      <td><a href="view?q=w''')
                    _v = VFFSL(SL,"i.seek",True) # u'$i.seek' on line 148, col 28
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.seek')) # from line 148, col 28.
                    write(u''';''')
                    _v = VFFSL(SL,"corpname_url",True) # u'$corpname_url' on line 148, col 36
                    if _v is not None: write(_filter(_v, rawExpr=u'$corpname_url')) # from line 148, col 36.
                    write(u''';usesubcorp=''')
                    _v = VFFSL(SL,"url_usesubcorp",True) # u'$url_usesubcorp' on line 148, col 61
                    if _v is not None: write(_filter(_v, rawExpr=u'$url_usesubcorp')) # from line 148, col 61.
                    write(u'''">''')
                    _v = VFFSL(SL,"i.freq",True) # u'$i.freq' on line 148, col 78
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.freq')) # from line 148, col 78.
                    write(u'''</a></td>
''')
                else: # generated from line 149, col 5
                    url_str = VFFSL(SL,"urlquote",False)(VFN(VFN(VFFSL(SL,"i.str",True),"replace",False)('\\', '\\\\'),"replace",False)('"', '\\"'))
                    write(u'''      <td class="left">''')
                    _v = VFFSL(SL,"i.str",True) # u'$i.str' on line 151, col 24
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.str')) # from line 151, col 24.
                    write(u'''</td><td>
''')
                    if '.' in VFFSL(SL,"wlattr",True): # generated from line 152, col 7
                        write(u'''        ''')
                        _v = VFFSL(SL,"i.freq",True) # u'$i.freq' on line 153, col 9
                        if _v is not None: write(_filter(_v, rawExpr=u'$i.freq')) # from line 153, col 9.
                        write(u'''
''')
                    else: # generated from line 154, col 7
                        write(u'''        <a href="first?''')
                        _v = VFFSL(SL,"corpname_url",True) # u'$corpname_url' on line 155, col 24
                        if _v is not None: write(_filter(_v, rawExpr=u'$corpname_url')) # from line 155, col 24.
                        write(u''';usesubcorp=''')
                        _v = VFFSL(SL,"url_usesubcorp",True) # u'$url_usesubcorp' on line 155, col 49
                        if _v is not None: write(_filter(_v, rawExpr=u'$url_usesubcorp')) # from line 155, col 49.
                        write(u''';cql=%5B''')
                        _v = VFFSL(SL,"wlattr",True) # u'$wlattr' on line 155, col 72
                        if _v is not None: write(_filter(_v, rawExpr=u'$wlattr')) # from line 155, col 72.
                        write(u'''%3D%3D%22''')
                        _v = VFFSL(SL,"url_str",True) # u'$url_str' on line 155, col 88
                        if _v is not None: write(_filter(_v, rawExpr=u'$url_str')) # from line 155, col 88.
                        write(u'''%22%5D;default_attr=''')
                        _v = VFFSL(SL,"wlattr",True) # u'$wlattr' on line 155, col 116
                        if _v is not None: write(_filter(_v, rawExpr=u'$wlattr')) # from line 155, col 116.
                        write(u''';qmcase=1;queryselector=cqlrow">''')
                        _v = VFFSL(SL,"i.freq",True) # u'$i.freq' on line 155, col 155
                        if _v is not None: write(_filter(_v, rawExpr=u'$i.freq')) # from line 155, col 155.
                        write(u'''</a>
''')
                    write(u'''      </td>
''')
                write(u'''    </tr>
''')
            write(u'''
''')
            #  keywords
        elif VFFSL(SL,"Keywords",True): # generated from line 163, col 1
            write(u'''  <thead>
    <tr>
      <th></th>
      <th></th>
      <th colspan="3" border="1"><i>''')
            _v = VFFSL(SL,"corp_full_name",True) # u'$corp_full_name' on line 168, col 37
            if _v is not None: write(_filter(_v, rawExpr=u'$corp_full_name')) # from line 168, col 37.
            if VFFSL(SL,"usesubcorp",True): # generated from line 168, col 52
                write(u''' : ''')
                _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 168, col 71
                if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 168, col 71.
            write(u'''
      <th></th>
      <th colspan="3" border="1"><i>''')
            _v = VFFSL(SL,"ref_corp_full_name",True) # u'$ref_corp_full_name' on line 170, col 37
            if _v is not None: write(_filter(_v, rawExpr=u'$ref_corp_full_name')) # from line 170, col 37.
            if VFFSL(SL,"ref_usesubcorp",True): # generated from line 170, col 56
                write(u''' : ''')
                _v = VFFSL(SL,"ref_usesubcorp",True) # u'$ref_usesubcorp' on line 170, col 79
                if _v is not None: write(_filter(_v, rawExpr=u'$ref_usesubcorp')) # from line 170, col 79.
            write(u'''
      <th></th>
      <th></th>
    </tr>
    <tr>
      <th>''')
            _v = VFFSL(SL,"wlattr",True) # u'$wlattr' on line 175, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$wlattr')) # from line 175, col 11.
            write(u'''</th>
      <th width="10"></th>
      <th>''')
            if False:
                _("Freq")
            _v = VFFSL(SL,"_",False)("Freq") # u'$_("Freq")' on line 177, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Freq")')) # from line 177, col 11.
            write(u'''</th>
      <th>''')
            if False:
                _("Freq/mill")
            _v = VFFSL(SL,"_",False)("Freq/mill") # u'$_("Freq/mill")' on line 178, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Freq/mill")')) # from line 178, col 11.
            write(u'''</th>
      <th width="10"></th>
      <th>''')
            if False:
                _("Freq")
            _v = VFFSL(SL,"_",False)("Freq") # u'$_("Freq")' on line 180, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Freq")')) # from line 180, col 11.
            write(u'''</th>
      <th>''')
            if False:
                _("Freq/mill")
            _v = VFFSL(SL,"_",False)("Freq/mill") # u'$_("Freq/mill")' on line 181, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Freq/mill")')) # from line 181, col 11.
            write(u'''</th>
      <th width="10"></th>
      <th>''')
            if False:
                _("Score")
            _v = VFFSL(SL,"_",False)("Score") # u'$_("Score")' on line 183, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Score")')) # from line 183, col 11.
            write(u'''</th>
    </tr>
  </thead>
''')
            for k in VFFSL(SL,"Keywords",True): # generated from line 186, col 3
                write(u'''    <tr
''')
                if VFN(VFFSL(SL,"k",True),"has_key",False)('class'): # generated from line 188, col 5
                    write(u'''      class="''')
                    _v = VFFSL(SL,"k.class",True) # u'$k.class' on line 189, col 14
                    if _v is not None: write(_filter(_v, rawExpr=u'$k.class')) # from line 189, col 14.
                    write(u'''"
''')
                write(u'''    >
''')
                if VFFSL(SL,"wlattr",True) == 'ws_collocations': # generated from line 192, col 5
                    w1, gramrel, w2, seek = VFN(VFFSL(SL,"k.str",True),"split",False)('\t')
                    write(u'''      <td class="left">''')
                    _v = VFFSL(SL,"w1",True) # u'$w1' on line 194, col 24
                    if _v is not None: write(_filter(_v, rawExpr=u'$w1')) # from line 194, col 24.
                    write(u''' <sub><span class="note">''')
                    _v = VFFSL(SL,"gramrel",True) # u'$gramrel' on line 194, col 52
                    if _v is not None: write(_filter(_v, rawExpr=u'$gramrel')) # from line 194, col 52.
                    write(u'''</span></sub> ''')
                    _v = VFFSL(SL,"w2",True) # u'$w2' on line 194, col 74
                    if _v is not None: write(_filter(_v, rawExpr=u'$w2')) # from line 194, col 74.
                    write(u'''</td>
      <td></td>
      <td><a href="view?q=w''')
                    _v = VFFSL(SL,"seek",True) # u'$seek' on line 196, col 28
                    if _v is not None: write(_filter(_v, rawExpr=u'$seek')) # from line 196, col 28.
                    write(u''';''')
                    _v = VFFSL(SL,"corpname_url",True) # u'$corpname_url' on line 196, col 34
                    if _v is not None: write(_filter(_v, rawExpr=u'$corpname_url')) # from line 196, col 34.
                    write(u''';usesubcorp=''')
                    _v = VFFSL(SL,"url_usesubcorp",True) # u'$url_usesubcorp' on line 196, col 59
                    if _v is not None: write(_filter(_v, rawExpr=u'$url_usesubcorp')) # from line 196, col 59.
                    write(u'''">''')
                    _v = VFFSL(SL,"k.freq",True) # u'$k.freq' on line 196, col 76
                    if _v is not None: write(_filter(_v, rawExpr=u'$k.freq')) # from line 196, col 76.
                    write(u'''</a></td>
''')
                else: # generated from line 197, col 5
                    write(u'''      <td class="left">''')
                    _v = VFFSL(SL,"k.str",True) # u'$k.str' on line 198, col 24
                    if _v is not None: write(_filter(_v, rawExpr=u'$k.str')) # from line 198, col 24.
                    write(u'''</td>
      <td></td>
''')
                    url_str = VFFSL(SL,"urlquote",False)(VFN(VFFSL(SL,"k.str",True),"replace",False)('"', '\\"'))
                    write(u'''      <td><a href="first?''')
                    _v = VFFSL(SL,"corpname_url",True) # u'$corpname_url' on line 201, col 26
                    if _v is not None: write(_filter(_v, rawExpr=u'$corpname_url')) # from line 201, col 26.
                    write(u''';usesubcorp=''')
                    _v = VFFSL(SL,"url_usesubcorp",True) # u'$url_usesubcorp' on line 201, col 51
                    if _v is not None: write(_filter(_v, rawExpr=u'$url_usesubcorp')) # from line 201, col 51.
                    write(u''';phrase=''')
                    _v = VFFSL(SL,"url_str",True) # u'$url_str' on line 201, col 74
                    if _v is not None: write(_filter(_v, rawExpr=u'$url_str')) # from line 201, col 74.
                    write(u''';default_attr=''')
                    _v = VFFSL(SL,"wlattr",True) # u'$wlattr' on line 201, col 96
                    if _v is not None: write(_filter(_v, rawExpr=u'$wlattr')) # from line 201, col 96.
                    write(u''';qmcase=1;queryselector=phraserow">''')
                    _v = VFFSL(SL,"k.freq",True) # u'$k.freq' on line 201, col 138
                    if _v is not None: write(_filter(_v, rawExpr=u'$k.freq')) # from line 201, col 138.
                    write(u'''</a></td>
''')
                write(u'''      <td>''')
                _v = VFFSL(SL,"k.rel",True) # u'$k.rel' on line 203, col 11
                if _v is not None: write(_filter(_v, rawExpr=u'$k.rel')) # from line 203, col 11.
                write(u'''</td>
      <td></td>
      <td>
''')
                if VFFSL(SL,"k.freq_ref",True): # generated from line 206, col 7
                    if VFFSL(SL,"wlattr",True) == 'ws_collocations': # generated from line 207, col 9
                        write(u'''          <a href="view?q=w''')
                        _v = VFFSL(SL,"seek",True) # u'$seek' on line 208, col 28
                        if _v is not None: write(_filter(_v, rawExpr=u'$seek')) # from line 208, col 28.
                        write(u''';corpname=''')
                        _v = VFFSL(SL,"ref_corpname",True) # u'$ref_corpname' on line 208, col 43
                        if _v is not None: write(_filter(_v, rawExpr=u'$ref_corpname')) # from line 208, col 43.
                        write(u''';usesubcorp=''')
                        _v = VFFSL(SL,"ref_usesubcorp",True) # u'$ref_usesubcorp' on line 208, col 68
                        if _v is not None: write(_filter(_v, rawExpr=u'$ref_usesubcorp')) # from line 208, col 68.
                        write(u'''">''')
                        _v = VFFSL(SL,"k.freq_ref",True) # u'$k.freq_ref' on line 208, col 85
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.freq_ref')) # from line 208, col 85.
                        write(u'''</a>
''')
                    else: # generated from line 209, col 9
                        write(u'''          <a href="first?corpname=''')
                        _v = VFFSL(SL,"ref_corpname",True) # u'$ref_corpname' on line 210, col 35
                        if _v is not None: write(_filter(_v, rawExpr=u'$ref_corpname')) # from line 210, col 35.
                        write(u''';usesubcorp=''')
                        _v = VFFSL(SL,"ref_usesubcorp",True) # u'$ref_usesubcorp' on line 210, col 60
                        if _v is not None: write(_filter(_v, rawExpr=u'$ref_usesubcorp')) # from line 210, col 60.
                        write(u''';phrase=''')
                        _v = VFFSL(SL,"url_str",True) # u'$url_str' on line 210, col 83
                        if _v is not None: write(_filter(_v, rawExpr=u'$url_str')) # from line 210, col 83.
                        write(u''';default_attr=''')
                        _v = VFFSL(SL,"wlattr",True) # u'$wlattr' on line 210, col 105
                        if _v is not None: write(_filter(_v, rawExpr=u'$wlattr')) # from line 210, col 105.
                        write(u''';qmcase=1;queryselector=phraserow">''')
                        _v = VFFSL(SL,"k.freq_ref",True) # u'$k.freq_ref' on line 210, col 147
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.freq_ref')) # from line 210, col 147.
                        write(u'''</a>
''')
                else: # generated from line 212, col 7
                    write(u'''        0
''')
                write(u'''      </td>
      <td>''')
                _v = VFFSL(SL,"k.rel_ref",True) # u'$k.rel_ref' on line 216, col 11
                if _v is not None: write(_filter(_v, rawExpr=u'$k.rel_ref')) # from line 216, col 11.
                write(u'''</td>
      <td></td>
      <td> ''')
                _v = VFFSL(SL,"k.score",True) # u'$k.score' on line 218, col 12
                if _v is not None: write(_filter(_v, rawExpr=u'$k.score')) # from line 218, col 12.
                write(u'''</td>
    </tr>
''')
        else: # generated from line 221, col 1
            #  no keywords && no items
            write(u'''  <i>''')
            if False:
                _("Nothing found.")
            _v = VFFSL(SL,"_",False)("Nothing found.") # u'$_("Nothing found.")' on line 223, col 6
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Nothing found.")')) # from line 223, col 6.
            write(u'''</i>
''')
        write(u'''</table>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_57982013
        write(u'''
''')
        _orig_filter_87686112 = _filter
        _filter = self._CHEETAH__initialFilter
        _v = VFFSL(SL,"navigation",False)("next2") # u'$navigation("next2")' on line 229, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$navigation("next2")')) # from line 229, col 1.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_87686112
        write(u'''
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''




''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_wordlist= 'writeBody'

## END CLASS DEFINITION

if not hasattr(wordlist, '_initCheetahAttributes'):
    templateAPIClass = getattr(wordlist, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(wordlist)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=wordlist()).run()


